org.eclipse.emf.cdo.common.id

## Interface CDOIDProvider

- All Known Subinterfaces:
    InternalCDOTransaction, InternalCDOView, InternalCDOXATransaction.InternalCDOXACommitContext, InternalSession

      public interface CDOIDProvider

  Provides the `IDs` of passed objects.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDOIDProvider` | `NOOP`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOID` | `provideCDOID(java.lang.Object idOrObject)`

- - ### Field Detail

    - #### NOOP

          static final CDOIDProvider NOOP

      Since:
        3.0

  - ### Method Detail

    - #### provideCDOID

          CDOID provideCDOID(java.lang.Object idOrObject)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html